Name: icinga-notifications
Version: 0.1.1
Release: 1
Summary: Improved notifications and incident management for your Icinga stack

Group: Productivity/Databases/Daemons

License: GPL-2.0-only

URL: https://icinga.com
Source0: icinga-notifications-0.1.1.tgz
Source1: icinga-notifications.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros
BuildRequires: make

Requires(pre): shadow
Requires: timezone

%description
Icinga Notifications daemon is responsible for processing received monitoring
events from various sources, managing incidents and forwards notifications to
predefined contacts.

%define debug_package %{nil}

%prep
%autosetup

%build
export GOFLAGS='-buildvcs=false -trimpath'

/usr/bin/make -O %_smp_mflags sbindir=/usr/sbin libexecdir=/usr/lib datadir=/usr/share sysconfdir=/etc

%check
make test

%install
make install DESTDIR=%_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64 sbindir=/usr/sbin libexecdir=/usr/lib datadir=/usr/share sysconfdir=/etc

chmod -R o= %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64/etc/icinga-notifications
install -Dpm 0644 %_topdir/SOURCES/icinga-notifications.service %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64/usr/lib/systemd/system/icinga-notifications.service

install -dm 0755 %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64/usr/share/doc/packages/icinga-notifications
cp -v README.md %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64/usr/share/doc/packages/icinga-notifications/
cp -rv doc %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.x86_64/usr/share/doc/packages/icinga-notifications/

%pre
if ! getent passwd icinga-notifications >/dev/null; then
useradd --system --user-group --home-dir / --shell /usr/sbin/nologin icinga-notifications || true
fi

%post
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga-notifications.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga-notifications.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga-notifications.service
) || :
fi

%postun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga-notifications.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga-notifications.service
) || :
fi
fi

%files
%license LICENSE
/usr/sbin/icinga-notifications
/usr/lib/icinga-notifications
/usr/lib/systemd/system/icinga-notifications.service
/usr/share/icinga-notifications
/usr/share/doc/packages/icinga-notifications

%attr(-, root, icinga-notifications) /etc/icinga-notifications
%attr(-, root, icinga-notifications) %config(noreplace) /etc/icinga-notifications/config.yml

%changelog
* Mon Jul 29 2024 Icinga GmbH <info@icinga.com> - 0.1.1-1
- Release 0.1.1-1

